# To contribute improvements to CI/CD templates, please follow the Development guide at:
# https://docs.gitlab.com/ee/development/cicd/templates.html
# This specific template is located at:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Nodejs.gitlab-ci.yml

# Official framework image. Look for the different tagged releases at:
# https://hub.docker.com/r/library/node/tags/
image: node:latest

# This folder is cached between builds
# https://docs.gitlab.com/ee/ci/yaml/index.html#cache
cache:
  paths:
    - astro-enap/node_modules/

stages:
  - build
  - deploy

build_and_deploy:
  stage: build
  before_script:
    - apt-get update -qq
    - apt-get install -y -qq lftp
  script:
    - cd astro-enap
    - npm i
    - npm run fetchData
    - npm run build
    - lftp -e "set ssl:verify-certificate false; mirror --reverse --verbose ./dist/ /public_html/ensenaraaprender.es ; quit" -u $FTP_USERNAME,$FTP_PASSWORD $FTP_HOST  

    
